Skip to navigation

Set signature image, initials, or stamp

View as Markdown
Sets a signature image, initials, or stamp.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

imageTypestringRequired

Specificies the type of image. Valid values:

  • stamp_image
  • signature_image
  • initials_image
signatureIdstringRequired
The ID of the account stamp.

Query parameters

transparent_pngstringOptional

Response

Successful response.
adoptedDateTimestringOptional
The UTC date and time when the user adopted the signature.
createdDateTimestringOptional
The UTC DateTime when the item was created.
customFieldstringOptional
dateStampPropertiesobjectOptional

Specifies the area in which a date stamp is placed. This parameter uses pixel positioning to draw a rectangle at the center of the stamp area. The stamp is superimposed on top of this central area.

This property contains the following information about the central rectangle:

  • DateAreaX: The X axis position of the top-left corner.
  • DateAreaY: The Y axis position of the top-left corner.
  • DateAreaWidth: The width of the rectangle.
  • DateAreaHeight: The height of the rectangle.
disallowUserResizeStampstringOptional

When true, users may not resize the stamp.

errorDetailsobjectOptional
This object describes errors that occur. It is only valid for responses, and ignored in requests.
externalIDstringOptional
Optionally specify an external identifier for the user's signature.
imageBase64stringOptional
imageTypestringOptional

Specificies the type of image. Valid values:

  • stamp_image
  • signature_image
  • initials_image
initials150ImageIdstringOptional
The ID of the user's initials image.
initialsImageUristringOptional
The URI for retrieving the image of the user's initials.
isDefaultstringOptional
Boolean that specifies whether the signature is the default signature for the user.
lastModifiedDateTimestringOptional
The date and time that the item was last modified.
nrdsIdstringOptional

The National Association of Realtors (NAR) membership ID for a user who is a realtor.

nrdsLastNamestringOptional
The realtor's last name.
nrdsStatusstringOptional

The realtor’s NAR membership status. The value active verifies that the user is a current NAR member. Valid values are:

  • Active
  • Inactive
  • Terminate
  • Provisional
  • Deceased
  • Suspend
  • Unknown
phoneticNamestringOptional

The phonetic spelling of the signatureName.

signature150ImageIdstringOptional
The ID of the user's signature image.
signatureFontstringOptional

The font type to use for the signature if the signature is not drawn. The following font styles are supported. The quotes are to indicate that these values are strings, not enums.

  • "1_DocuSign"
  • "2_DocuSign"
  • "3_DocuSign"
  • "4_DocuSign"
  • "5_DocuSign"
  • "6_DocuSign"
  • "7_DocuSign"
  • "8_DocuSign"
  • "Mistral"
  • "Rage Italic"
signatureGroupslist of objectsOptional
signatureIdstringOptional

Specifies the signature ID associated with the signature name. You can use the signature ID in the URI in place of the signature name, and the value stored in the signatureName property in the body is used. This allows the use of special characters (such as ”&”, ”<”, ”>”) in a the signature name. Note that with each update to signatures, the returned signature ID might change, so the caller will need to trigger off the signature name to get the new signature ID.

signatureImageUristringOptional
An endpoint URI that you can use to retrieve the user's signature image.
signatureInitialsstringOptional
Specifies the user's signature in initials format.
signatureNamestringOptional
Specifies the user's signature name.
signatureRightsstringOptional

The rights that the user has to the signature. Valid values are:

  • none
  • read
  • admin
signatureTypestringOptional
Specifies the type of signature.
signatureUserslist of objectsOptional
stampFormatstringOptional

The format of a stamp. Valid values are:

  • NameHanko: The stamp represents only the signer’s name.
  • NameDateHanko: The stamp represents the signer’s name and the date.
stampImageUristringOptional
The URI for retrieving the image of the user's stamp.
stampSizeMMstringOptional

The physical height of the stamp image (in millimeters) that the stamp vendor recommends for displaying the image in PDF documents.

stampTypestringOptional

The type of stamp. Valid values are:

  • signature: A signature image. This is the default value.
  • stamp: A stamp image.
  • null
statusstringOptional

Indicates the envelope status. Valid values are:

  • sent - The envelope is sent to the recipients.
  • created - The envelope is saved as a draft and can be modified and sent later.

Errors

400
Bad Request Error